.catalog {
    background-color: #ffffff;
}

.catalog .breadcrumbs_wrapper .breadcrumbs, .catalog .heading_wrapper .container {
    width: 100%;
    max-width: 1440px;
    margin: 0 auto;
    padding: 20px var(--theme-padding) 30px;
    gap: 20px;
}

.catalog .main_wrapper {
    width: 100%;
    max-width: 1440px;
    margin: 0 auto;
    padding: 40px var(--theme-padding) 30px;
}

.heading_wrapper .container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding-bottom: 40px;
    padding-left: 0;
    padding-right: 0;
}

h1.catalog__heading {
    font-size: 40px;
}

.heading_left .heading_desc {
    font-size: 16px;
    color: #566672;
    line-height: 150%;
    margin-bottom: 32px;
}

.heading_left .heading_info {
    display: flex;
    flex-direction: row;
    gap: 12px;
    flex-wrap: wrap;
}

.heading_left .heading_info div {
    font-size: 16px;
    color: #132561;
    padding: 8px 16px;
    background-color: #ffffff;
    border-radius: 8px;
}

.heading_right {
    display: flex;
    align-items: flex-end;
    gap: 20px;
    flex-wrap: wrap;
}

.heading_right .heading_right_item {
    display: flex;
    flex-direction: row;
    gap: 14px;
    padding: 12px 16px;
    border-radius: 8px;
    background-color: #ffffff;
}

.heading_right .heading_right_item .info_text_top {
    font-size: 18px;
    color: #132561;
    font-weight: 600;
}

.heading_right .heading_right_item .info_text_bottom {
    font-size: 14px;
    color: #617594;
}

.main_wrapper {
    background-color: #ffffff;
    padding-left: 0;
    padding-right: 0;
    padding-top: 40px;
}

.catalog_top {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-bottom: 24px;
}

.catalog_top .info {
    font-size: 16px;
    color: #566672;
    display: flex;
    align-items: center;
}

.catalog_top .sort {
    display: flex;
    flex-direction: row;
    gap: 12px;
    align-items: center;
}

.catalog_top .sort .title {
    font-size: 16px;
    color: #566672;
}

.catalog_top .sort .select2-container {
    min-width: 200px;
}

.collection_wrapper {
    display: flex;
    flex-direction: row;
    gap: 20px;
    flex-wrap: wrap;
    margin-bottom: 40px;
}

.collection_wrapper div {
    font-size: 16px;
    background-color: #F5F7FE;
    padding: 13px 24px;
    border: 1px solid #E0E5EE;
    border-radius: 20px;
    color: #132561;
    cursor: pointer;
}

.collection_wrapper div.active {
    color: #ffffff;
    background-color: #3261EC;
    border: unset;
}

.catalog_main {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 24px;
}

.catalog_main form {
    height: 100%;
}

.catalog_main .filter {
    font-size: 16px;
    flex: 1 0 15%;
    padding: 24px 20px;
    border: .5px solid #C6CCD7;
    border-radius: 16px;
    height: 100%;
    max-width: 280px;
}

.catalog_main .filter .divider {
    margin-top: 20px;
    border-bottom: 1px solid #C6CCD7;
    margin-bottom: 20px;
}

.catalog_main .filter .filter_head {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.catalog_main .filter .filter_head .title {
    color: #132561;
    font-size: 18px;
    font-weight: 600;
}

.catalog_main .filter .filter_head .filter_reset {
    cursor: pointer;
    color: #3261EC;
    background-color: transparent;
    border: none;
}

.catalog_main .filter .filter_body .filter_item .title {
    color: #142145;
    margin-bottom: 16px;
}

/* Фильтр-чекбокс */
.catalog_main .filter .filter_body .filter_item .checkbox > div {
    margin-bottom: 16px;
}

.catalog_main .filter .filter_body .filter_item .checkbox > div:last-child {
    margin-bottom: 0;
}

.catalog_main .filter .filter_body .filter_item .checkbox input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.catalog_main .filter .filter_body .filter_item .checkbox .checkbox-box {
    position: relative;
    display: inline-block;
    width: 20px;
    height: 20px;
    background-color: #ffffff;
    border: 1px solid #C6CCD7;
    border-radius: 4px;
    vertical-align: middle;
    margin-right: 12px;
}

.catalog_main .filter .filter_body .filter_item .checkbox .custom-checkbox:hover .checkbox-box {
    border-color: #3261EC;
}

.catalog_main .filter .filter_body .filter_item .checkbox .custom-checkbox input:checked + .checkbox-box {
    background-color: #3261EC;
    border-color: #3261EC;
}

.catalog_main .filter .filter_body .filter_item .checkbox .checkbox-box::after {
    content: "";
    position: absolute;
    display: none;
    left: 5px;
    top: 2px;
    width: 8px;
    height: 10px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: rotate(43deg);
}

.catalog_main .filter .filter_body .filter_item .checkbox   .custom-checkbox input:checked + .checkbox-box::after {
    display: block;
}
/* Фильтр-чекбокс */

/* Фильтр-слайдер */
.catalog_main .filter .filter_body .filter_item .slider {
    display: flex;
    gap: 16px;
    justify-content: space-between;
}

.catalog_main .filter .filter_body .filter_item .slider .slider_item {
    flex: 0 1 45%;
}

.catalog_main .filter .filter_body .filter_item .slider .slider_item label {
    font-size: 14px;
    color: #8B93A2;
}

.catalog_main .filter .filter_body .filter_item .slider .slider_item input {
    width: 100%;
    margin-top: 4px;
    border: 1px solid #C6CCD7;
    border-radius: 10px;
    padding: 11px 5px;
    color: #8B93A2;
}

.catalog_main .filter .filter_body .filter_item .slider .slider_item input:focus {
    border-color: #3261EC;
}

.catalog_main .filter .filter_body .filter_item .range_slider {
    height: 4px;
    padding: 0 8px;
    margin: 15px 0 12px;
    background-color: #E0E5EE;
}

.catalog_main .filter .filter_body .filter_item .range_slider .noUi-connect {
    background: #3261EC;
}

.catalog_main .filter .filter_body .filter_item .range_slider .noUi-handle {
    height: 20px;
    width: 20px;
    top: -9px;
    right: -10px;
    border-radius: 9px;
    border: 2px solid #3261EC;
}

.noUi-handle:after, .noUi-handle:before {
    display: none;
}

.catalog_main .filter .filter_body .filter_item .item_values {
    display: flex;
    justify-content: space-between;
    font-size: 14px;
    color: #8B93A2;
}
/* Фильтр-слайдер */

/* Фильтр-селектор */
/*.catalog_main .filter .filter_body .filter_item*/ .select2-container .select2-selection--single {
    height: 44px !important;
}

/*.catalog_main .filter .filter_body .filter_item*/ .select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 44px !important;
}

/*.catalog_main .filter .filter_body .filter_item*/ .select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 44px !important;

}

/*.catalog_main .filter .filter_body .filter_item*/ .select2-container--default .select2-selection--single .select2-selection__arrow b {
    margin-left: -10px;
    margin-top: -7px;
    border-color: #566672;
    width: 10px;
    height: 10px;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}

/*.catalog_main .filter .filter_body .filter_item*/ .select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow b {
    border-color: #566672;
    border-width: 2px 0 0 2px;
    margin-top: -3px;
}
/* Фильтр-селектор */

/* Футер фильтра */
.catalog_main .filter .filter_btns .theme-btn {
    margin-bottom: 20px;
    width: 100%;
    border: none;
}

.catalog_main .filter .filter_btns a {
    font-weight: 600;
}

.catalog_main .filter .filter_btns a:after {
    content: url("arrow.svg");
    margin-left: 12px;
}
/* Футер фильтра */

/* Элементы над основным каталогом */
.catalog_main .catalog_wrapper .catalog_special .special_item {
    border: 1px solid #C6CCD7;
    border-radius: 16px;
    margin-bottom: 25px;
}

.catalog_main .catalog_wrapper .catalog_special .special_item .item_info {
    flex: 1 1 60%;
    padding: 20px 24px;
}

.catalog_main .catalog_wrapper .catalog_special .special_item .item_img {
    flex: 1 1 40%;
}

.catalog_main .catalog_wrapper .catalog_special .special_item .item_img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 16px;
}

.catalog_main .catalog_wrapper .catalog_special .special_item .top {
    align-items: center;
}

.catalog_main .catalog_wrapper .item_info .item_id {
    color: #565655;
}

.catalog_main .catalog_wrapper .catalog_special .special_item .top .right {
    gap: 16px;
}

.catalog_main .catalog_wrapper .catalog_special .special_item .top .right .status {
    color: #0F8044;
    background-color: #E5F9F0;
    padding: 6px 12px;
    border-radius: 69px;
}

.catalog_main .catalog_wrapper .catalog_special .special_item .top .right .status.taken {
    color: #B22E2E;
    background-color: rgb(178 46 46 / 11%);
}

.catalog_main .catalog_wrapper .catalog_special .special_item .top .right .status span {
    margin-right: 7px;
}

.catalog_main .catalog_wrapper .catalog_special .special_item .top .right .area {
    color: #3261EC;
    padding: 6px 12px;
    border: 1px solid #3261EC;
    border-radius: 69px;
}

.catalog_main .catalog_wrapper .item_info .title {
    font-size: 23px;
    color: #132561;
    font-weight: 600;
}

.catalog_main .catalog_wrapper .item_info .middle {
    gap: 8px;
    margin: 16px 0;
    flex-wrap: wrap;
}

.catalog_main .catalog_wrapper .item_info .middle div {
    background-color: #F0F3FA;
    color: #565655;
    padding: 6px 12px;
    font-size: 14px;
}

.catalog_main .catalog_wrapper .divider {
    margin-top: 16px;
    border-bottom: 1px solid #C6CCD7;
    margin-bottom: 16px;
}

.catalog_main .catalog_wrapper .price {
    font-size: 23px;
    color: #3261EC;
    font-weight: 600;
}

.catalog_main .catalog_wrapper .btns_wrapper input {
    border: none;
    padding: 0 16px;
}

.catalog_main .catalog_wrapper .btns_wrapper .btn_flex {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    border: 1px solid #3261EC;
    margin-left: 14px;
    padding: 0 12px;
}
/* Элементы над основным каталогом */

/* Основной каталог */
.catalog_main .catalog_wrapper .catalog_main_items {
    gap: 20px;
    flex-wrap: wrap;
}

.catalog_main .catalog_wrapper .catalog_main_items .main_item {
    border: 1px solid #C6CCD7;
    border-radius: 16px;
    position: relative;
    display: flex;
    flex-direction: column;
    max-width: 33%;
}

@media (max-width: 1345px) {
    .catalog_main .catalog_wrapper .catalog_main_items .main_item {
        max-width: 50%;
    }
}

.catalog_main .catalog_wrapper .catalog_main_items .main_item .img_wrapper {
    gap: 16px;
    position: relative;
}

.catalog_main .catalog_wrapper .catalog_main_items .main_item .info {
    position: absolute;
    left: 14px;
    top: 14px;
    gap: 12px;
    z-index: 10000;
}

.catalog_main .catalog_wrapper .status {
    color: #0F8044;
    background-color: rgba(255, 255, 255, 0.9);
    padding: 6px 12px;
    border-radius: 69px;
}

.catalog_main .catalog_wrapper .status.taken {
    color: #B22E2E;
    background-color: rgba(255, 255, 255, 0.9);
}


.catalog_main .catalog_wrapper .catalog_main_items .main_item .status span {
    margin-right: 7px;
}

.catalog_main .catalog_wrapper .catalog_main_items .main_item .area {
    color: #3261EC;
    padding: 6px 12px;
    border: 1px solid #3261EC;
    border-radius: 69px;
    background-color: rgba(255, 255, 255, 0.9);
}

.catalog_main .catalog_wrapper .catalog_main_items .main_item .img_wrapper img {
    border-radius: 16px;
    width: 100%;
    /*height: 100%;*/
    object-fit: cover;
    height: 226px;
}

.catalog_main .catalog_wrapper .catalog_main_items .main_item .item_info {
    padding: 24px 24px 0;
}

.catalog_main .catalog_wrapper .catalog_main_items .main_item .btns_wrapper {
    padding: 0 24px 24px;
}
/* Основной каталог */

/* Блок с постраничной навигацией */
.catalog_main .navigation_wrapper {
    gap: 40px;
    margin-top: 40px;
}

.catalog_main .navigation_wrapper .show_more, .catalog_main .navigation_wrapper .pagenav {
    flex: 1 1 40%;
}

.catalog_main .navigation_wrapper .show_more {
    background-color: #F0F3FA;
    padding: 10px 18px;
    border-radius: 8px;
    color: #3261EC;
    display: flex;
    justify-content: center;
    align-items: center;
}

.catalog_main .navigation_wrapper .show_more:hover {
    color: #ffffff;
    background-color: #3261EC;
}

.catalog_main .navigation_wrapper .pagenav {
    gap: 24px;
    justify-content: flex-end;
}

.catalog_main .navigation_wrapper .pagenav .nav_btn {
    border: 1px solid #C6CCD7;
    border-radius: 8px;
    padding: 10px 14px;
    color: #8B93A2;
    display: flex;
}

.catalog_main .navigation_wrapper .pagenav .nav_btn:hover {
    color: #3261EC;
    border-color: #3261EC;
}

.catalog_main .navigation_wrapper .pagenav .nav_btn.prev span {
    margin-right: 10px;
}

.catalog_main .navigation_wrapper .pagenav .nav_btn.next span {
    margin-left: 10px;
}

.catalog_main .navigation_wrapper .pagenav .pages {
    gap: 8px;
}

.catalog_main .navigation_wrapper .pagenav .pages a {
    background-color: #F0F3FA;
    padding: 10px 18px;
    border-radius: 8px;
}

.catalog_main .navigation_wrapper .pagenav .pages a.active, .catalog_main .navigation_wrapper .pagenav .pages a:hover {
    color: #ffffff;
    background-color: #3261EC;
}
/* Блок с постраничной навигацией */

/* Описание раздела */
.catalog_main .catalog_wrapper .section_description {
    color: #2F3441;
    font-weight: 300;
}

.catalog_main .catalog_wrapper .section_description ul li {
    margin-bottom: 16px;
}

.catalog_main .catalog_wrapper .section_description ul li::marker {
    color: #3261EC;
    font-size: 18px;
}
/* Описание раздела */

.catalog_main .catalog_wrapper {
    flex: 1 0 70%;
}

.catalog_main .catalog_wrapper .main {
    margin-bottom: 70px;
}

.catalog .main_wrapper .select2-container .select2-selection--single {
    display: flex;
    align-items: center;
}

.catalog .main_wrapper .select2-container .select2-selection__rendered {
    padding-left: 20px;
}

@media (max-width: 900px) {
    .catalog_main {
        gap: 0;
    }

    .catalog_main .filter {
        display: none;
    }

    .catalog_main .catalog_wrapper {
        width: 100%;
    }

    .catalog_main .catalog_wrapper .catalog_special .special_item {
        flex-direction: column !important;
    }

    .catalog_main .catalog_wrapper .catalog_special .special_item .top {
        flex-direction: column-reverse !important;
        align-items: unset;
        row-gap: 16px;
        margin-bottom: 12px;
    }

    .catalog_top {
        flex-direction: column;
        gap: 20px;
    }

    .catalog_top .sort {
        flex-direction: column;
        align-items: flex-start;
    }

    .catalog_top .sort .select_wrapper {
        display: flex;
        justify-content: space-between;
        gap: 10px;
    }

    .catalog_main .catalog_wrapper .catalog_special .special_item .item_info .bottom {
        flex-direction: column !important;
        row-gap: 16px;
    }



    .catalog_main .catalog_wrapper .catalog_main_items .main_item {
        flex-basis: 100%;
        max-width: unset;
    }

    .catalog_main .catalog_wrapper .catalog_main_items .main_item .info {
        padding: 12px 24px 0;
        position: unset;
    }

    .catalog_main .catalog_wrapper .catalog_main_items .main_item .status {
        color: #0F8044;
        background-color: #E5F9F0;
        padding: 6px 12px;
        border-radius: 69px;
    }

    .catalog_main .catalog_wrapper .catalog_main_items .main_item .status.taken {
        background-color: rgb(178 46 46 / 11%);
    }

    .catalog_main .catalog_wrapper .catalog_main_items .main_item .item_info {
        padding: 16px 24px 0;
    }

    .catalog_main .catalog_wrapper .item_info .item_id {
        margin-bottom: 8px;
    }

    .catalog_main .catalog_wrapper .catalog_main_items .main_item .img_wrapper {
        order: 0;
    }

    .catalog_main .catalog_wrapper .catalog_main_items .main_item .btns_wrapper {
        justify-content: space-between;
    }

    .catalog_main .catalog_wrapper .btns_wrapper .btns {
        flex: 0 1 50%;
    }

    .catalog_main .catalog_wrapper .btns_wrapper .btns input {
        width: 100%
    }

    .catalog_main .catalog_wrapper .btns_wrapper .btn_flex {
        flex: 0 1 50%;
    }

    .catalog_main .navigation_wrapper {
        gap: 24px;
        flex-direction: column !important;
    }

    .catalog_main .navigation_wrapper .nav_text {
        display: none;
    }

    .catalog_main .navigation_wrapper .pagenav .nav_btn.prev span, .catalog_main .navigation_wrapper .pagenav .nav_btn.next span {
        margin: 0;
    }

    .catalog_main .navigation_wrapper .pagenav .pages a:nth-child(4), .catalog_main .navigation_wrapper .pagenav .pages a:nth-child(5) {
        display: none;
    }

    span.mobile_pages {
        display: block !important;
    }



}

@media (max-width: 697px) {
    .catalog .heading_wrapper .container {
        flex-direction: column;
    }


}

@media (max-width: 650px) {
    .collection_wrapper {
        display: flex;
        overflow-x: auto;
        flex-wrap: nowrap;
        gap: 10px;
        -webkit-overflow-scrolling: touch; /* Плавный скролл на iOS */
    }

    .collection_wrapper::-webkit-scrollbar {
        display: none;
    }

    .collection_wrapper > div {
        flex: 0 0 auto;
        scroll-snap-align: start;
        padding: 12px 16px;
    }
}

@media (max-width: 637px) {

}

@media (max-width: 522px) {
    .catalog_top {
        flex-direction: column;
        gap: 20px;
    }

    .catalog_top .sort {
        flex-direction: column;
        align-items: flex-start;
    }

    .catalog_top .sort .select_wrapper {
        display: flex;
        justify-content: space-between;
        gap: 10px;
    }
}

@media (max-width: 375px) {
    .catalog_main .filter {
        display: none;
    }

    .catalog_main .catalog_wrapper {
        width: 100%;
    }

    .catalog_main .catalog_wrapper .catalog_special .special_item {
        flex-direction: column !important;
    }

    .catalog_main .catalog_wrapper .catalog_special .special_item .top {
        flex-direction: column-reverse !important;
        align-items: unset;
    }
}

.catalog_main .filter.filter_mobile {
    display: none;
    position: fixed;
    left: 100%;
    top: 0;
    bottom: 0;
    background-color: #ffffff;
    width: 100%;
    border-radius: 0;
    overflow: auto;
}

.catalog_main .filter.filter_mobile.show_filter {
    display: block !important;
    left: 0;
    z-index: 10000000;
}

.catalog_main .filter .filter_close {
    display: none;
}

.catalog_main .filter.filter_mobile .filter_close {
    display: block;
    width: 40px;
    height: 40px;
    padding: 8px;
    border-radius: 43px;
    background-color: #ECF3F9;
    color: #151515;
}

.catalog_main .filter.filter_mobile .filter_head {
    align-items: center;
}

.catalog_main .filter.filter_mobile .filter_head .filter_reset {
    margin-right: 42px;
}

.catalog_main .filter.filter_mobile .filter_head .filter_close {
    text-align: center;
    position: absolute;
    right: 12px;
}

span.mobile_pages {
    color: #132561;
    display: none;
}

.catalog .catalog_main .theme-btn {
    font-size: 16px !important;
}